Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Interface XmlInfo

All Known Implementing Classes:
  Assertion, BaseAttribute, Case, Chain, Column, Columnset, ColumnsetStatistics, ColumnStatistics1, ColumnStatistics2, Concept, ConceptInheritance, Condition, Constraint, Coordinates, Docu, GraphicalM4Object, Key, KeyMember, MultiColumnFeature, Operator, OpParam, Parameter, ParameterObject, Projection, Relation, Step, Value

public interface XmlInfo

This interface has to be implemented by all `M4Object`s to be export-/importable to/from an XML flat file.

Version:
  $Id: XmlInfo.java,v 1.3 2006/04/11 14:10:10 euler Exp $
Author:
  Martin Scholz

Field Summary
`static java.lang.String` | `M4_XML_VERSION`
`static java.lang.String` | `TAG_COLLECTION`
`static java.lang.String` | `TAG_DOUBLE`
`static java.lang.String` | `TAG_INTEGER`
`static java.lang.String` | `TAG_LONG`
`static java.lang.String` | `TAG_M4_ID`
`static java.lang.String` | `TAG_SHORT`
`static java.lang.String` | `TAG_STRING`
`static java.lang.String` | `TAG_XML_ID`

Method Summary
`void` | `doPrint(java.lang.Exception ex)`
`void` | `doPrint(java.util.logging.Level verbosity, java.lang.String message)`
`java.util.Collection` | `exportLocal(java.io.Writer out, java.util.Collection dependent)`
`java.lang.Object` | `genericGetter(java.lang.String nameOfGetter)`
`void` | `genericSetter(java.lang.String nameOfSetter, java.lang.Class parameterClassOfSetter, java.lang.Object objectToSet)`
`java.util.Collection` | `getDependentObjects()`
`java.lang.String` | `getObjectTag()`
`java.lang.String` | `getXmlIdTag()`
`M4Info` | `getXmlInfo()`
`java.lang.String` | `getXmlVersion()` For compatibility reasons the version of the M4-XML is available here.
`void` | `importLocal(java.lang.String tag, java.lang.String embedded)`

Field Detail

### M4_XML_VERSION

    public static final java.lang.String M4_XML_VERSION

See Also:
  Constant Field Values

### TAG_XML_ID

    public static final java.lang.String TAG_XML_ID

See Also:
  Constant Field Values

### TAG_COLLECTION

    public static final java.lang.String TAG_COLLECTION

See Also:
  Constant Field Values

### TAG_STRING

    public static final java.lang.String TAG_STRING

See Also:
  Constant Field Values

### TAG_LONG

    public static final java.lang.String TAG_LONG

See Also:
  Constant Field Values

### TAG_INTEGER

    public static final java.lang.String TAG_INTEGER

See Also:
  Constant Field Values

### TAG_SHORT

    public static final java.lang.String TAG_SHORT

See Also:
  Constant Field Values

### TAG_DOUBLE

    public static final java.lang.String TAG_DOUBLE

See Also:
  Constant Field Values

### TAG_M4_ID

    public static final java.lang.String TAG_M4_ID

See Also:
  Constant Field Values

Method Detail

### getXmlVersion

    public java.lang.String getXmlVersion()

  For compatibility reasons the version of the M4-XML is available here. The substring after the last 'V' has to be numeric.

### getObjectTag

    public java.lang.String getObjectTag()

  Returns:
    the tag of `this` M4 object

### getXmlIdTag

    public java.lang.String getXmlIdTag()

  Returns:
    the ID tag of `this` M4 object

### getXmlInfo

    public M4Info getXmlInfo()

  Returns:
    a `M4Info` object with the information of all XML fields of `this` object.

### getDependentObjects

    public java.util.Collection getDependentObjects()
                                             throws M4Exception

  Throws:
    `M4Exception`

### doPrint

    public void doPrint(java.util.logging.Level verbosity,
                        java.lang.String message)

### doPrint

    public void doPrint(java.lang.Exception ex)

### exportLocal

    public java.util.Collection exportLocal(java.io.Writer out,
                                            java.util.Collection dependent)
                                     throws M4Exception,
                                            java.io.IOException

  Throws:
    `M4Exception`
    `java.io.IOException`

### importLocal

    public void importLocal(java.lang.String tag,
                            java.lang.String embedded)
                     throws XmlException,
                            M4Exception

  Throws:
    `XmlException`
    `M4Exception`

### genericGetter

    public java.lang.Object genericGetter(java.lang.String nameOfGetter)
                                   throws M4Exception

  Throws:
    `M4Exception`

### genericSetter

    public void genericSetter(java.lang.String nameOfSetter,
                              java.lang.Class parameterClassOfSetter,
                              java.lang.Object objectToSet)
                       throws M4Exception

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005